Bug 856162 - DeltaRPMExporter: Error:Cannot read from directory
DeltaRPMExporter: Error:Cannot read from directory
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Randy Barlow
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 07:01 EDT by Lukas Zapletal
Modified: 2013-01-09 12:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:08:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Zapletal 2012-09-11 07:01:39 EDT
Description of problem:

During export I see this error:

pulp.server.exporter.controller:ERROR: controller:64 Error occured processing module <class 'pulp.server.exporter.deltarpm.DeltaRPMExporter'>; Error:Cannot read from directory /var/lib/pulp/repos/content/rhb/rhel/workstation/5/5Client/i386/devtoolset/debug/drpms

Version-Release number of selected component (if applicable):
pulp-1.1.12-1.el6.noarch

How reproducible:
Everytime.

Steps to Reproduce:
1. Create a repo from CDN content content/rhb/rhel/workstation/5/5Client/i386/devtoolset/debug/
2. Sync the repo
3. Export the repo to a directory and watch the log
  
Actual results:
It works, I am not sure if this error is important or not. Reporting just for case. Could be issue on the CDN side.
Comment 1 Jay Dobies 2012-11-27 10:15:41 EST
Preethi - Please run through these steps when testing the export functionality in 2.x. I realigned the bug to the 2.0 Beta version.
Comment 2 Preethi Thomas 2012-11-28 11:26:35 EST
moving to verified
[root@preethi-el6-pulp ~]# rpm -q pulp-server
pulp-server-2.0.6-0.9.beta.noarch
[root@preethi-el6-pulp ~]# 

I retested it with repos with drpm contents and never saw the error in pulp.log

[root@preethi-el6-pulp ~]# pulp-admin rpm repo create --repo-id drpm --feed http://repos.fedorapeople.org/repos/pulp/pulp/demo_repos/test_drpm_repo/
Successfully created repository [drpm]
[root@preethi-el6-pulp ~]# pulp-admin rpm repo sync run --repo-id drpm
+----------------------------------------------------------------------+
                    Synchronizing Repository [drpm]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[|]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       49/49 items
Delta RPMs: 18/18 items
Tree Files: 0/0 items
Files:      0/0 items
... completed

Importing errata...
[-]
... completed

Importing package groups/categories...
[-]
... completed

Publishing packages...
[==================================================] 100%
Packages: 18/18 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[/]
... completed

Publishing repository over HTTPS
[-]
... completed

Publishing repository over HTTP
[-]
... skipped


[root@preethi-el6-pulp ~]# pulp-admin rpm repo export run --repo-id drpm
+----------------------------------------------------------------------+
                      Publishing Repository [drpm]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.


From pulp.log

2012-11-28 08:22:56,069 pulp.plugins.iso_distributor.distributor:INFO: Start publish time 1354108976.07
2012-11-28 08:22:56,349 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: Processed 49
2012-11-28 08:22:56,349 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: Performing per unit metadata merge on 49 units
2012-11-28 08:22:56,364 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: per unit metadata merge completed in 0.0151147842407 seconds
2012-11-28 08:22:57,486 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: comps xml path does not exist; skipping merge
2012-11-28 08:22:57,487 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: updateinfo xml path does not exist; skipping merge
2012-11-28 08:22:57,487 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: check scratchpad for any repodata
2012-11-28 08:22:57,487 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: Modifying repo for prestodelta metadata
2012-11-28 08:22:57,682 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: modifyrepo with /var/lib/pulp/working/repos/drpm/distributors/export_distributor/prestodelta.xml on /var/lib/pulp/working/repos/drpm/distributors/export_distributor/repodata finished
2012-11-28 08:22:57,683 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: Metadata generation finished in 1.37794184685 seconds
2012-11-28 08:22:57,684 pulp.plugins.iso_distributor.distributor:INFO: metadata generation complete at target location /var/lib/pulp/working/repos/drpm/distributors/export_distributor
2012-11-28 08:22:57,684 pulp.plugins.iso_distributor.distributor:INFO: HTTPS Publishing repo <drpm> to </var/lib/pulp/published/https/isos/drpm>
2012-11-28 08:22:57,687 pulp.plugins.iso_distributor.generate_iso:INFO: Generating iso images for exported content (1/1)
2012-11-28 08:22:57,689 pulp.plugins.iso_distributor.generate_iso:INFO: executing command mkisofs -r -D -graft-points -path-list /tmp/pulpiso-yaCYNZ -o /var/lib/pulp/published/https/isos/drpm/drpm-20121128-01.iso
2012-11-28 08:22:57,725 pulp.plugins.iso_distributor.generate_iso:INFO: successfully created iso /var/lib/pulp/published/https/isos/drpm/drpm-20121128-01.iso
2012-11-28 08:22:57,726 pulp.plugins.iso_distributor.distributor:INFO: Publish complete:  summary = <{'num_package_groups_exported': 0, 'https_publish_dir': u'/var/lib/pulp/published/https/isos/drpm', 'num_distribution_units_errors': 0, 'num_package_units_errors': 0, 'num_package_categories_exported': 0, 'num_package_units_attempted': 67, 'num_package_units_exported': 67, 'num_distribution_units_attempted': 0, 'num_distribution_units_exported': 0, 'num_errata_units_exported': 0}>, details = <{'errors': []}>
2012-11-28 08:22:57,738 pulp.server.dispatch.task:INFO: SUCCESS: Task aed26882-429f-495f-84d0-34ba68720735: CallRequest: RepoPublishManager.publish(u'drpm', 'export_distributor', publish_config_override=None, distributor_instance=<iso_distributor.distributor.ISODistributor object at 0x7f1cc19ff7d0>, distributor_config={})
Comment 3 Preethi Thomas 2013-01-09 12:08:15 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.